
CoCoA-5 - Bug #137

JAA does not like the name IndetInd

24 Apr 2012 15:28 - John Abbott

Status: Closed Start date: 24 Apr 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Parser/Interpreter Estimated time: 3.25 hours

Target version: CoCoA-5.0.3 Spent time: 3.25 hours

Description

C5 inherited from C4 the name IndetInd.  It is the function which produces a list of "indices" from a indet, e.g. applied to x[3,4] it

produces the list [3,4].

There is definite confusion with the function called IndetIndex which produces a single integer giving the "position" of the indet in the

list of indices generating the polynomial ring.

JAA suggests changing its name to IndetIndices or possibly IndetInds, though this latter is less clear.

JAA wonders whether it may be clearer still to choose another name for these indices; an obvious choice us "subscripts" (but it is

rather long).  Maybe length does not matter much, as I suspect the function will be used only rarely.  Changing to "subscript" will

force a change to the index fn for symbol in CoCoALib.

Note the corresponding fn for symbol in CoCoALib does not exist.

History

#1 - 24 Apr 2012 15:28 - John Abbott

- Category set to Renaming

#2 - 24 Apr 2012 15:35 - John Abbott

If we change to "subscript" instead of index then we must change the name of the "index" field in the result of IndetSymbols.

BTW why is this fn not simply called symbols like the corresponding fn in CoCoALib?

#3 - 21 May 2012 17:27 - John Abbott

- Category changed from Renaming to Parser/Interpreter

- % Done changed from 0 to 50

JAA talked to Anna.  She liked subscript and will implement.

#4 - 24 May 2012 12:49 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.0.3

- % Done changed from 50 to 90

#5 - 24 May 2012 19:10 - Anna Maria Bigatti

- Status changed from New to Closed

- % Done changed from 90 to 100

#6 - 08 Jun 2012 17:30 - Anna Maria Bigatti

- Estimated time set to 3.25 h
